Name:		wavpack
Summary:	A completely open audiocodec
Version:	4.50
Release:	1
License:	BSD
Group:		Applications/Multimedia
Url:		http://www.wavpack.com/
Source0:	http://www.wavpack.com/%{name}-%{version}.0.tar.bz2
Patch0:		%{name}-%{version}-aix.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
WavPack is a completely open audio compression format providing lossless,
high-quality lossy, and a unique hybrid compression mode. Although the
technology is loosely based on previous versions of WavPack, the new
version 4 format has been designed from the ground up to offer unparalleled
performance and functionality.


%package devel
Summary:	WavPack - development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkg-config

%description devel
Files needed for developing apps using wavpack


%prep
%setup -q -n %{name}-%{version}.0
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp src/.libs/lib%{name}.so.1 .
make distclean

# now buld the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/lib%{name}.a ./lib%{name}.so.1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc license.txt
%{_bindir}/*
%{_libdir}/*.a
/usr/bin/*
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc ChangeLog README doc
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Jun 30 2008 Michael Perzl <michael@perzl.org> - 4.50-1
- first version for AIX V5.1 and higher
